/* $Id: fr.h,v 1.5 1995/08/05 06:13:12 jfree Exp jfree $
 */
#ifndef _FR_H_
#define _FR_H_

#include <linux/module.h>
#include <linux/version.h>

#include <linux/kernel.h>
#include <linux/sched.h>
#include <linux/types.h>
#include <linux/fcntl.h>
#include <linux/interrupt.h>
#include <linux/ptrace.h>
#include <linux/timer.h>
#include <linux/ioport.h>
#include <linux/in.h>
#include <linux/malloc.h>
#include <linux/tty.h>
#include <linux/errno.h>
#include <linux/sched.h>   /* to get the struct task_struct */
#include <linux/string.h>  /* used in new tty drivers */
#include <linux/signal.h>  /* used in new tty drivers */
#include <asm/system.h>
#include <asm/bitops.h>
#include <asm/segment.h>

#include <linux/netdevice.h>
#include <linux/skbuff.h>
#include <linux/inet.h>

#include <linux/if_arp.h>
#ifndef ARPHRD_FR
#define ARPHRD_FR 0
#endif

#define PRINTK(p) printk p ;
#define ASSERT(p) if (!p) PRINTK ((KERN_CRIT "assertion failed: " # p))
#define PRINTKN(n,p) {if (fr_debug >= n) PRINTK (p)}

#define FR_MTU			1500
#define NO_PAD_PID_LENGTH	2
#define PADDED_PID_LENGTH	8

typedef struct {
	u_char	oui[3];
} OUI_t;

typedef struct {
	u_char	control;
	u_char	pidPad;
	u_char	NLPID;
	u_char	OUI[3];
	u_short	PID;
} fr_hdr_t;

typedef struct {
	long	sbusy;
} fr_stats_t;

#endif /* ndef _FR_H_ */
